Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils.synthetic.reflection
Class EntryPoint

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.synthetic.reflection.EntryPoint

Direct Known Subclasses:
  Constructor, Method

public abstract class EntryPoint
extends java.lang.Object
implements Member

API/behaviors shared between Constructors and Methods. They're mostly similar, except for what they proxy and a few specific calls (name, invoke/getInstance).

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`protected java.lang.String` | `name` Field name
`protected java.lang.Object` | `realep` Field realep
`protected Class` | `returntype` Field returntype

Constructor Summary
`` | `EntryPoint(Class declaringclass)` Insert the method's description here.
`protected` | `EntryPoint(java.lang.Object ep)` Nonpublic constructor.
`protected` | `EntryPoint(java.lang.Object ep, Class declaringclass)` Nonpublic constructor.

Method Summary
`void` | `addExceptionType(Class exception)` Method addExceptionType
`void` | `addParameter(Class type, java.lang.String name)` Method addParameter
`boolean` | `equals(java.lang.Object obj)` Compares this against the specified object.
`java.lang.StringBuffer` | `getBody()` Extension: For synthesis, we need a place to hang a method body.
`Class` | `getDeclaringClass()` Returns the Class object representing the class that declares the constructor represented by this Constructor object.
`Class[]` | `getExceptionTypes()` Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying constructor represented by this Constructor object.
`java.lang.String` | `getLanguage()` Extension: For synthesis, we need a place to hang a method body.
`int` | `getModifiers()` Returns the Java language modifiers for the constructor represented by this Constructor object, as an integer.
`java.lang.String` | `getName()` Member method.
`java.lang.String[]` | `getParameterNames()` Method getParameterNames (getParameterNames) @return
`Class[]` | `getParameterTypes()` Returns an array of Class objects that represent the formal parameter types, in declaration order, of the constructor represented by this Constructor object.
`Class` | `getReturnType()` Returns the Class object representing the class that will be returned by this EntryPoint.
`abstract int` | `hashCode()` Returns a hashcode for this Constructor.
`void` | `setBody(java.lang.String language, java.lang.StringBuffer body)` Extension: For synthesis, we need a place to hang a method body.
`void` | `setDeclaringClass(Class declaringClass)` Assert the Class object representing the class that declares the constructor represented by this Constructor object.
`void` | `setModifiers(int modifiers)` Should only be accepted before a "real" entrypoint is bound.
`void` | `setName(java.lang.String name)` Member method.
`java.lang.String` | `toSource(java.lang.String basetab)` Generate Java code
`java.lang.String` | `toString()` Return a string describing this Constructor.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### realep

    protected java.lang.Object realep

  Field realep

### returntype

    protected Class returntype

  Field returntype

### name

    protected java.lang.String name

  Field name

Constructor Detail

### EntryPoint

    public EntryPoint(Class declaringclass)

  Insert the method's description here.

  Creation date: (12-27-99 2:31:39 PM)

  Parameters:
    `realConstructor` - java.lang.reflect.Constructor
    `declaringclass` -

### EntryPoint

    protected EntryPoint(java.lang.Object ep,
                         Class declaringclass)
                  throws java.lang.IllegalArgumentException

  Nonpublic constructor. Wrap this to appropriate "real" type

  Parameters:
    `ep` -
    `declaringclass` -
  Throws:
    java.lang.IllegalArgumentException -

### EntryPoint

    protected EntryPoint(java.lang.Object ep)
                  throws java.lang.IllegalArgumentException

  Nonpublic constructor. Wrap this to appropriate "real" type

  Parameters:
    `ep` -
  Throws:
    java.lang.IllegalArgumentException -

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Compares this against the specified object. Returns true if the objects are the same. Two EntryPoints are the same if they were declared by the same class, have the same name (or are both ctors) and have the same formal parameter types.

  Parameters:
    `obj` -
  Overrides:
    equals in class java.lang.Object

### getDeclaringClass

    public Class getDeclaringClass()

  Returns the Class object representing the class that declares the constructor represented by this Constructor object.
  Specified by:
    getDeclaringClass in interface Member

### getReturnType

    public Class getReturnType()

  Returns the Class object representing the class that will be returned by this EntryPoint. Needed by the Method API, but made meaningful for Constructors as well.

### getExceptionTypes

    public Class[] getExceptionTypes()

  Returns an array of Class objects that represent the types of the checked exceptions thrown by the underlying constructor represented by this Constructor object. Returns an array of length 0 if the constructor throws no checked exceptions.

### addExceptionType

    public void addExceptionType(Class exception)
                          throws SynthesisException

  Method addExceptionType

  Parameters:
    `exception` -
  Throws:
    SynthesisException -

### getModifiers

    public int getModifiers()

  Returns the Java language modifiers for the constructor represented by this Constructor object, as an integer. The Modifier class should be used to decode the modifiers.
  Specified by:
    getModifiers in interface Member

### getName

    public java.lang.String getName()

  Member method. C'tor's name is always that of the defining class. Methods have a "real" name. Creation date: (12-25-99 1:32:06 PM)

  Returns:
    java.lang.String

### setName

    public void setName(java.lang.String name)
                 throws SynthesisException

  Member method. C'tor's name is always that of the defining class. Methods have a "real" name. Creation date: (12-25-99 1:32:06 PM)

  Parameters:
    `name` -
  Returns:
    java.lang.String
  Throws:
    SynthesisException -

### getParameterTypes

    public Class[] getParameterTypes()

  Returns an array of Class objects that represent the formal parameter types, in declaration order, of the constructor represented by this Constructor object. Returns an array of length 0 if the underlying constructor takes no parameters.

### getParameterNames

    public java.lang.String[] getParameterNames()

  Method getParameterNames (getParameterNames) @return

### addParameter

    public void addParameter(Class type,
                             java.lang.String name)
                      throws SynthesisException

  Method addParameter

  Parameters:
    `type` -
    `name` -
  Throws:
    SynthesisException -

### hashCode

    public abstract int hashCode()

  Returns a hashcode for this Constructor. The hashcode is the same as the hashcode for the underlying constructor's declaring class name, xor'ed (for Methods) with the method name. (Implemented in the subclasses rather than here.)

  Overrides:
    hashCode in class java.lang.Object

### setDeclaringClass

    public void setDeclaringClass(Class declaringClass)
                           throws SynthesisException

  Assert the Class object representing the class that declares the constructor represented by this Constructor object.
  Specified by:
    setDeclaringClass in interface Member

  Parameters:
    `declaringClass` -
  Throws:
    SynthesisException -

### setModifiers

    public void setModifiers(int modifiers)
                      throws SynthesisException

  Should only be accepted before a "real" entrypoint is bound. Creation date: (12-25-99 1:28:28 PM)
  Specified by:
    setModifiers in interface Member

  Parameters:
    `modifiers` - int
  Returns:
    int
  Throws:
    SynthesisException -

### toString

    public java.lang.String toString()

  Return a string describing this Constructor. The string is formatted as the constructor access modifiers, if any, followed by the fully-qualified name of the declaring class, followed by a parenthesized, comma-separated list of the constructor's formal parameter types. For example: `public java.util.Hashtable(int,float)`

  The only possible modifiers for constructors are the access modifiers public, protected or private. Only one of these may appear, or none if the constructor has default (package) access.

  Methods will also display their checked exceptions.

  Overrides:
    toString in class java.lang.Object

### setBody

    public void setBody(java.lang.String language,
                        java.lang.StringBuffer body)
                 throws SynthesisException

  Extension: For synthesis, we need a place to hang a method body.

  Parameters:
    `language` -
    `body` -
  Throws:
    SynthesisException -

### getBody

    public java.lang.StringBuffer getBody()

  Extension: For synthesis, we need a place to hang a method body. Note that this returns a mutable object, for editing etc. Slightly sloppy first cut.

### getLanguage

    public java.lang.String getLanguage()

  Extension: For synthesis, we need a place to hang a method body.

### toSource

    public java.lang.String toSource(java.lang.String basetab)

  Generate Java code

  Parameters:
    `basetab` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference